# Systems

Our benchmarking system supports the following systems:

* Datalog Systems
    * [BAM abstract machine (push method)](http://users.informatik.uni-halle.de/~brass/push/bam.html)
    * [datascript](https://github.com/tonsky/datascript)
    * [Soufflé](https://souffle-lang.github.io/)
* Prolog Systems
    * [SWI Prolog](http://www.swi-prolog.org/) (from version 7, needs tabling support)
    * [XSB](http://xsb.sourceforge.net/)
    * [YAP](https://www.dcc.fc.up.pt/~vsc/Yap/) (compiled with tabling support)
* Relational Databases
    * [MariaDB](https://mariadb.org/) (from Version 10.2.2, needs Recursive Common Table Expressions)
    * [PostgreSQL](https://www.postgresql.org/)
    * [SQLite](https://www.sqlite.org/) (from Version 3)
* Graph Databases and RDF Stores
    * [Apache Jena](https://jena.apache.org/)
