---
title: PostgreSQL
---

PostgreSQL is a mature server-based database system.
The CPU time in our database is the time
the server process of the session used.

To measure the resource usage for the PostgreSQL server systems we took a snapshot of the status information provided by
\code{/proc/[pid]/stat}
at the start of the client program and when the query was finished.
The difference between both snapshots is used to measure CPU time.
This approach can not be used to measure memory usage.
PostgreSQL starts a new process for every client connected. First we read the process ID of the process associated with the connection and then read the status information.

However,
the main comparison is done on real time,
which is simpler for server-based systems
(it also gives parallel implementations an advantage).
The startup time of the server is not included in the time measurements.
