WITH
	t1 AS
	(
		SELECT DISTINCT c1.a, c2.b
		FROM c1, c2
		WHERE c1.b = c2.a
	),
	t2 AS
	(
		SELECT DISTINCT t1.a, c3.b
		FROM t1, c3
		WHERE t1.b = c3.a
	),
	t3 AS
	(
		SELECT DISTINCT c4.a, c5.b
		FROM c4, c5
		WHERE c4.b = c5.a
	),
	a AS
	(
		SELECT DISTINCT t2.a, t3.b
		FROM t2, t3
		WHERE t2.b = t3.a
	)
SELECT COUNT(*) FROM a;
