
WITH
	c1 AS 
	( 
		SELECT DISTINCT d1.a, d2.b
		FROM d1, d2
		WHERE d1.b == d2.a
	),
	b2 AS
	(
		SELECT DISTINCT c3.a, c4.b
		FROM c3, c4
		WHERE c3.b == c4.a
	),
	b1 AS
	(
		SELECT DISTINCT c1.a, c2.b
		FROM c1, c2
		WHERE c1.b == c2.a
	),
	a AS
	(
		SELECT DISTINCT b1.a, b2.b
		FROM b1, b2
		WHERE b1.b == b2.a
	)
SELECT COUNT(*) FROM a;
