# tcff

Graph databases and and RDF Triple Stores accept queries in the SPARQL format.
SPARQL does not allow for general recursion
but SPARQL 1.1 added Property Paths
where non-variable predicates could be combined
in a similar fashion to regular expressions.

    # tcff.qry
    prefix : <http://example.org/stuff/1.0/>
    SELECT (count(*) as ?resultcount) WHERE {?a :par+ ?b}

Launch: `arq --data={instance} --query=tcff.qry`
