---
title: MariaDB
---

MariaDB is the community fork of the server-based MySQL database system.
MariaDB supports Recursive Common Table Expressions since version 10.2.2. 

To measure the resource usage for the MariaDB server systems we took a snapshot of the status information provided by
\code{/proc/[pid]/stat}
at the start of the client program and when the query was finished.
The difference between both snapshots is used to measure CPU time.
This approach can not be used to measure memory usage.
We made sure that for MariaDB only one user was connected, as we gathered the
status information of the server process.
