# tcff

We ran our tests loading the
data with load_dync and enabled subsumtive tabling, and a trie index on the par
relation.


    % tcff.P
    :- index(par/2, trie).
    :- use_subsumptive_tabling tc/2.
    tc(X,Y) :- par(X,Y).
    tc(X,Y) :- par(X,Z), tc(Z,Y).
    bench :- tc(_,_), fail.
    bench.
    test(FileName) :- load_dync(FileName), bench.


Launch : `xsb -e "['tcff.P'], test({instance}), halt."`
